Reply To: Unable to compile VRUI, receive error /usr/bin/ld: cannot fi

Home Forums AR Sandbox Forum Unable to compile VRUI, receive error /usr/bin/ld: cannot fi Reply To: Unable to compile VRUI, receive error /usr/bin/ld: cannot fi

#102244
skippy1976uk
Participant

It is clearly because it cannot find the GL library:

/usr/bin/ld: cannot find -lGL

However, if I list the libraries that ld is using:

SEARCH_DIR(“/usr/x86_64-linux-gnu/lib64”)
SEARCH_DIR(“=/usr/local/lib/x86_64-linux-gnu”)
SEARCH_DIR(“=/usr/local/lib64”)
SEARCH_DIR(“=/lib/x86_64-linux-gnu”)
SEARCH_DIR(“=/lib64”)
SEARCH_DIR(“=/usr/lib/x86_64-linux-gnu”)
SEARCH_DIR(“=/usr/lib64”)
SEARCH_DIR(“=/usr/local/lib”)
SEARCH_DIR(“=/lib”)
SEARCH_DIR(“=/usr/lib”)

My initial thought was that the linker was not looking in the correct location. I then searched to see if I could find the GL driver myself:

haggerty@haggerty-AR ~ $ cd /usr/
haggerty@haggerty-AR /usr $ find . -name GL* -print
./include/GL
./lib/python2.7/dist-packages/gi/overrides/GLib.py
./lib/python2.7/dist-packages/gi/overrides/GLib.pyc
./lib/python3/dist-packages/gi/overrides/GLib.py
./lib/python3/dist-packages/gi/overrides/__pycache__/GLib.cpython-34.pyc
./lib/girepository-1.0/GL-1.0.typelib
./lib/girepository-1.0/GLib-2.0.typelib
./share/perl/5.18.2/unicore/lib/Lb/GL.pl

I am now questioning if I have the GL library installed.

Any indicators here as to why it cannot find the GL library woudl be most appreciated.

Comments are closed.